package object comp2 {

//  Recusive function to Abacus translation

import lib._
import abacus._
import recs._

def arity(f: Rec) = f match {
  case Z => 1
  case S => 1
  case Id(n, _) => n
  case Cn(n, _, _) => n
  case Pr(n, _, _) => n
  case Mn(n, _) => n 
}

}

